using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart.Styles;

namespace TeeChartZoom
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
            PopulateTeeChart();
        }

        // ====================================================================
        // Populate the tee chart
        // ====================================================================
        void PopulateTeeChart()
        {
            teeChart.Series.Clear();
            const int sampleValues = 30;
            teeChart.Aspect.View3D = false;

            Bar    redBar = new Bar( teeChart.Chart );
            redBar.Color = Color.Tomato;
            redBar.MultiBar = MultiBars.Stacked;
            redBar.BarWidthPercent = 100;
            redBar.Marks.Visible = false;
            redBar.Pen.Transparency = 0;

            // Fill the data
            redBar.FillSampleValues(sampleValues);
            // Hack
            if (enableHack.Checked)
            {
                // Add a victim column : transparent
                redBar.Add(redBar.MaxXValue() + 1, 0, Color.Transparent);
            }
        }

        private void enableHack_CheckedChanged(object sender, EventArgs e)
        {
            PopulateTeeChart();
        }
    }
}